# Commande de Smart Hands - Autre ![](https://docs.equinix.com/fr/assets/images/OrderUnlistedSmartHands-d6057a54d94370bdc908a285a8590a80.png) ## Conditions préalables[​](#conditions-préalables "Lien direct vers Conditions préalables") 1. Pour obtenir les détails Smart Hands, vous devez disposer de `Smart Hands` l'autorisation. 2. Authentifier - envoyez vos identifiants utilisateur, votre identifiant client et votre secret client pour l'authentification OAuth2. Pour obtenir des instructions sur la façon d'appeler l'API OAuth pour valider et authentifier vos identifiants, reportez-vous à [authentification API](https://docs.equinix.com/fr/equinix-api/api-authentication.md). 3. Obtenir les types de Smart Hands - envoyez une `GET` demande au [`/v1/orders/smarthands/types`](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)terminal pour obtenir tous les types de commande Smart Hands. Vous pouvez ignorer cette étape si vous connaissez déjà le type de commande Smart Hands. 4. Obtenir des informations de localisation : envoyez une `GET` demande au [`/v1/orders/smarthands/locations`](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/getlocation.md)point final pour récupérer les emplacements IBX disponibles auxquels vous avez accès. Vous pouvez ignorer cette étape si vous connaissez déjà les informations de localisation. ## Smart Hands de commande : Autre[​](#smart-hands-de-commande-autre "Lien direct vers Smart Hands de commande : Autre") Pour demander une commande Smart Hands non répertoriée dans un site IBX où vous disposez de l’autorisation de commande Smart Hands, envoyez une `POST` demande au [`/v1/orders/smarthands/other`](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/handlesmarthandothersorder.md)terminal. Exemple de curl pour Smart Hands : Autre commande sans informations supplémentaires, pièces jointes ou contacts : ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/other" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "scopeOfWork": "The camera vision tends to blur from 10pm-2am every night. Spend the night in the cage to monitor what the issue is."   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "userName": "johndoe",       "workPhonePrefToCall": "ANYTIME"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     }   ] }' ``` Exemple de curl pour Smart Hands : Autre commande avec des informations supplémentaires, des pièces jointes et des contacts : > **Note** > > Avant de créer une commande avec pièce jointe, appelez le [`Attachments File`](https://docs.equinix.com/fr/api-catalog/attachmentsv1/attachments/createattachment.md) terminal. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/other" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "scopeOfWork": "The camera vision tends to blur from 10pm-2am every night. Spend the night in the cage to monitor what the issue is.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",       "name": "SupportingPhotos.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "janesmith"     }   ] }' ``` Pour obtenir une liste complète des paramètres corporels et des descriptions, reportez-vous [à la référence API](https://docs.equinix.com/fr/api-catalog/smarthandsv1/smarthands/handlesmarthandothersorder.md) . Exemple de réponse : ``` {   "OrderNumber": "1-457809872838" } ``` La réponse indique que la commande a abouti et renvoie le numéro de commande.